admin_common_notifications:
  path: /notifications
  methods: [ POST ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\CommonController::notificationsAction'
    _legacy_link: AdminCommon
  options:
    expose: true

admin_common_notifications_ack:
  path: /notifications/ack
  methods: [ POST ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\CommonController::notificationsAckAction'

admin_common_pagination:
  path: /pagination/{offset}/{limit}/{total}/{view}
  methods: [ GET ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\CommonController::paginationAction'
    offset: 0
    limit: 20
    total: 0
    view: full
  requirements:
    offset: \d+
    limit: \d+
    total: \d+
    view: full|quicknav

admin_common_sidebar:
  path: /sidebar/{url}/{title}/{footer}
  methods: [ GET ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\CommonController::renderSidebarAction'
    title: ''
    footer: ''

admin_common_reset_search:
  path: /reset_search/{controller}/{action}
  methods: [ POST ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\CommonController::resetSearchAction'
    filterId: ''

admin_common_reset_search_by_filter_id:
  path: /reset_search/{filterId}
  methods: [ POST ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\CommonController::resetSearchAction'
    controller: ''
    action: ''
